Bug 1465637 - [RFE][Howto][VMM] Document use of RHEL KVM Guest Images with RHV
[RFE][Howto][VMM] Document use of RHEL KVM Guest Images with RHV
Status: ASSIGNED
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.1.0
Unspecified Unspecified
high Severity high
: ovirt-4.1.11
: ---
Assigned To: Billy Burmester
Tahlia Richardson
: FutureFeature
Depends On:
Blocks: 1542093
  Show dependency treegraph
 
Reported: 2017-06-27 15:55 EDT by Thom Carlin
Modified: 2018-03-25 21:46 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2017-06-27 15:55:46 EDT
Description of enhancement:

Section 7.8 provides some of the steps to use cloud-init.  This RFE requests  step by step documentation on how to make the Red Hat provided KVM Guest Images (which are preconfigured as Cloud-init aware) accessible for use by RHV.

Version-Release number of selected component (if applicable):

4.1

Section/URL:

7.8. USING CLOUD-INIT TO AUTOMATE THE CONFIGURATION OF VIRTUAL MACHINES, https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/virtual_machine_management_guide/#sect-Using_Cloud-Init_to_Automate_the_Configuration_of_Virtual_Machines


Additional info:

* RHEL 7.3 KVM Guest Image can currently be found on the Customer Portal at https://access.redhat.com/downloads/content/69/ver=/rhel---7/7.3/x86_64/product-software
* Currently, you must upgrade cloud-init to 0.7.9 for some functionality.  This may be done by temporarily enabling rhel-7-server-rh-common-rpms or rhel-7-server-beta-rpms repository while updating cloud-init
Comment 1 Yaniv Lavi 2017-07-04 03:59:37 EDT
Can you share your thoughts on what needs to be done here?
Comment 2 Michal Skrivanek 2017-07-04 05:22:18 EDT
I believe nothing code-wise.
Just describe where to get it, how to import it into environment (upload disk, create a VM) and run with the desired cloud-init configuration
Comment 4 Lucy Bopf 2018-03-25 21:46:34 EDT
Assigning to Billy for review.

Billy, the strategy is to first get this content into 4.1, and then review whether the same steps apply to 4.2.

Note You need to log in before you can comment on or make changes to this bug.